CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protector Member List
This is the complete list of members for Protector, including all inherited members.

actualMessage(const Message &message, const ProtectorContext &context) const | Protector | `[protected]`
protect(const Functor &functor, const ProtectorContext &context)=0 | Protector | `[pure virtual]`
reportError(const ProtectorContext &context, const Exception &error) const | Protector | `[protected]`
reportError(const ProtectorContext &context, const Message &message, const SourceLine &sourceLine=SourceLine()) const | Protector | `[protected]`
reportFailure(const ProtectorContext &context, const Exception &failure) const | Protector | `[protected]`
~Protector() | Protector | `[virtual]`

| hosts this site. |  | Send comments to: CppUnit Developers